> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace Workflow Runs

> List runs for a workspace workflow.



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace_id}/workflows/{workflow_id}/runs
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace_id}/workflows/{workflow_id}/runs:
    get:
      tags:
        - Workspaces
      summary: Get Workspace Workflow Runs
      description: List runs for a workspace workflow.
      operationId: >-
        get_workspace_workflow_runs_api_v1_workspaces__workspace_id__workflows__workflow_id__runs_get
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: workflow_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workflow Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkflowRunResponse'
                title: >-
                  Response Get Workspace Workflow Runs Api V1 Workspaces 
                  Workspace Id  Workflows  Workflow Id  Runs Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    WorkflowRunResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        workflow_id:
          type: string
          format: uuid
          title: Workflow Id
        triggered_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Triggered By
        trigger_payload:
          additionalProperties: true
          type: object
          title: Trigger Payload
        status:
          type: string
          title: Status
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        total_cost_cents:
          type: integer
          title: Total Cost Cents
          default: 0
        created_at:
          type: string
          format: date-time
          title: Created At
        node_runs:
          items:
            $ref: '#/components/schemas/WorkflowNodeRunResponse'
          type: array
          title: Node Runs
      type: object
      required:
        - id
        - workflow_id
        - status
        - created_at
      title: WorkflowRunResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowNodeRunResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        workflow_run_id:
          type: string
          format: uuid
          title: Workflow Run Id
        workflow_node_id:
          type: string
          format: uuid
          title: Workflow Node Id
        task_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Task Id
        status:
          type: string
          title: Status
        input_data:
          additionalProperties: true
          type: object
          title: Input Data
        output_data:
          additionalProperties: true
          type: object
          title: Output Data
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - workflow_run_id
        - workflow_node_id
        - status
        - created_at
      title: WorkflowNodeRunResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````